[Song]
name = Thuggin' 38
artist = Orbital Gate
album = Demonstration of Post Apocalyptic Warfare
genre = Brutal Death Metal
year = 2025
charter = Chezy
preview_start_time = 47070
icon = csc
album_track = 3
diff_guitar = 3
loading_phrase = "Thuggin' 38" is the third track on <i>Demonstration of Post Apocalyptic Warfare</i>, a concept album released by Illinois based musician Evan Van Dyne under their slam project Orbital Gate. The album's concept is based around the 2010 action RPG game <i>Fallout: New Vegas</i>. This song features a guest appearance of Damonteal Harris, vocalist for Oklahoma based death metal band PeelingFlesh.
song_length = 138651
end_events = 1

